Subject: [CCAMP] How to differentiate between DWDM encocded labels of RFC6205 and LSC labels of 3471/73

From: "Zafar Ali (zali)" <[email-masked]>
Date: Wed, 27 Jul 2011 13:10:04 -0500

Dear authors of RFC6205 and all- 

>From RFC 6205 and RFC 3471, 3471, it is not clear how a receiver can
differentiate between LSC labels that are encoded for DWDM (as per RFC
6205) and non-DWDM encoded LSC labels from RFC 3471/73 (similar what is
expected of the sender of such labels). 

Please note that:

*        Both labels are 32 bit long LSC labels. 

*        There is no label type in any signaling message. 

*        None of these RFCs specify what label encoding type should be
carried to indicate which LSP encoding type should be carried to
indicate how the signaling label is encoded. Can we/ should we use
encoding type to inferred the label type. If yes, this is not a 1:1
relationship and is not documented.  

Your follow-ups on this will be much appreciated. 

Thanks

Regards ... Zafar

---

From: Huawei danli <[email-masked]>
Date: Wed, 27 Jul 2011 18:31:17 +0000

Hi Zafar,

I am not quite sure if I understand your question correctly.

For non-DWDM encoded LSC, do you mean CWDM? If yes, then the label defined in 6205 covers this case.

From 3471 section 3.1.1, if the encoding type is lambda, then you can use the label format defined in 6205.

Thanks,

Dan

________________________________
发件人: Zafar Ali (zali) [[email-masked]]
发送时间: 2011年7月28日 2:10
到: [email-masked]; Huawei danli; [email-masked]
Cc: [email-masked]; Lou Berger; Mike Taillon (mtaillon)
主题: How to differentiate between DWDM encocded labels of RFC6205 and LSC labels of 3471/73

From RFC 6205 and RFC 3471, 3471, it is not clear how a receiver can differentiate between LSC labels that are encoded for DWDM (as per RFC 6205) and non-DWDM encoded LSC labels from RFC 3471/73 (similar what is expected of the sender of such labels).

Please note that:

・        Both labels are 32 bit long LSC labels.

・        There is no label type in any signaling message.

・        None of these RFCs specify what label encoding type should be carried to indicate which LSP encoding type should be carried to indicate how the signaling label is encoded. Can we/ should we use encoding type to inferred the label type. If yes, this is not a 1:1 relationship and is not documented.

Thanks

Regards ... Zafar